Results 1 to 8 of 8

Thread: GCompis package broken?

  1. #1
    Join Date
    Jun 2008
    Location
    Perth West Australia
    Posts
    61

    Default GCompis package broken?

    I am setting up a computer for my son, using opensuse 11 64 bit.
    I am getting an error when trying to run GCompris as installed by using YAST repositories (Packman)
    This is the error:
    Couldn't find or load the file skins/gartoon/bar_bg.jpg this activity is incomplete. Exit and report the problem to the authors. OK.

    I have done as the error message suggests and received this reply:
    It's probably that this package is broken. Could you please contact the packager himself.
    Bruno.

    I had a quick poke around the packman repo site and there did not appear to be anyway to contact the developers? Anyone know how to do this.
    Thanks, regards Peter.
    Desktop - OpenSuse 11.4 64 bit. LapTop - OpenSUSE 11.4, triple booting with Win7 and Splashtop OS
    Linux is cool! Everything else is a VM.

  2. #2
    Join Date
    Jan 2008
    Location
    U.K East Anglia
    Posts
    2,581

    Default Re: GCompis package broken?

    Tried their mailing list ? packman@links2linux.de might work

    Andy
    To be is to do = Immanuel Kant
    To do is to be = Descartes.
    Do be do be do = Frank Sinatra

    SuSE user since 7.0,Linux user since 1994

  3. #3
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,104
    Blog Entries
    15

    Default Re: GCompis package broken?

    Quote Originally Posted by pmccrackan
    I am setting up a computer for my son, using opensuse 11 64 bit.
    I am getting an error when trying to run GCompris as installed by using
    YAST repositories (Packman)
    This is the error:
    Couldn't find or load the file skins/gartoon/bar_bg.jpg this activity
    is incomplete. Exit and report the problem to the authors. OK.

    I have done as the error message suggests and received this reply:
    It's probably that this package is broken. Could you please contact the
    packager himself.
    Bruno.

    I had a quick poke around the packman repo site and there did not
    appear to be anyway to contact the developers? Anyone know how to do
    this.
    Thanks, regards Peter.
    Hi
    Have you tried the Education Repository?

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 11:28, 2 users, load average: 0.37, 0.20, 0.20
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  4. #4
    Join Date
    Jun 2008
    Location
    Perth West Australia
    Posts
    61

    Default Re: GCompis package broken?

    Hi, I have both Education repo and Packman repo set up on this PC. It seems to be a mixture of the 2 repo's. Fro example gcompris-debugsource shows as coming from the Packman repo, but gcompris-devel shows as coming from Education:desktop. Likewise with a few of the voice packages.
    Anyway I have sent an email to the mailing list with the Authors (Bruno) comments. I may as well paste them in here too I suppose. He asked me to run it from terminal to show more info which I did, here's the info and Bruno's comments:

    > Hi , here you are:
    >
    > pete@linux-wx2p:~/Desktop> gcompris
    > XF86VidMode: Compiled with XF86VidMode.
    > If you have problems starting GCompris in fullscreen, try the -x
    > option to disable XF86VidMode.
    >
    > ** (process:7952): WARNING **: Binary relocation disabled
    >
    > ** (process:7952): WARNING **: exec_prefix NONE
    >
    > package_data_dir = /usr//usr/share/gcompris/boards
    > package_locale_dir = /usr//usr/share/locale
    > package_plugin_dir = /usr//usr/lib64/gcompris
    > package_python_plugin_dir= /usr//usr/share/gcompris/python

    >This show evidence of the problem. Pathes should >>be /usr not /usr/usr
    This is ugly but you may create a link /usr/usr -> >As root:
    >cd /usr
    >ln -s /usr usr
    >
    >Do you found how to contact the packager, it is up >to him to fix this.

    Cheers from Peter.
    Desktop - OpenSuse 11.4 64 bit. LapTop - OpenSUSE 11.4, triple booting with Win7 and Splashtop OS
    Linux is cool! Everything else is a VM.

  5. #5
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,104
    Blog Entries
    15

    Default Re: GCompis package broken?

    Quote Originally Posted by pmccrackan
    Hi, I have both Education repo and Packman repo set up on this PC. It
    seems to be a mixture of the 2 repo's. Fro example gcompris-debugsource
    shows as coming from the Packman repo, but gcompris-devel shows as
    coming from Education:desktop. Likewise with a few of the voice
    packages.
    Anyway I have sent an email to the mailing list with the Authors
    (Bruno) comments. I may as well paste them in here too I suppose. He
    asked me to run it from terminal to show more info which I did, here's
    the info and Bruno's comments:

    > Hi , here you are:
    >
    > pete@linux-wx2p:~/Desktop> gcompris
    > XF86VidMode: Compiled with XF86VidMode.
    > If you have problems starting GCompris in fullscreen, try the -x
    > option to disable XF86VidMode.
    >
    > ** (process:7952): WARNING **: Binary relocation disabled
    >
    > ** (process:7952): WARNING **: exec_prefix NONE
    >
    > package_data_dir = /usr//usr/share/gcompris/boards
    > package_locale_dir = /usr//usr/share/locale
    > package_plugin_dir = /usr//usr/lib64/gcompris
    > package_python_plugin_dir= /usr//usr/share/gcompris/python


    >This show evidence of the problem. Pathes should >>be /usr not

    /usr/usr
    This is ugly but you may create a link /usr/usr -> >As root:
    >cd /usr
    >ln -s /usr usr
    >
    >Do you found how to contact the packager, it is up >to him to fix

    this.

    Cheers from Peter.
    Hi
    You need to either go through each package and install from the
    Education repository, or temporarily disable Packman until its sorted.
    Then if you set the education one to a priority level 1 higher that
    Packman you should get the Education updates, without grabbing from
    Packman.

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 19:52, 2 users, load average: 1.86, 0.66, 0.24
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  6. #6
    Join Date
    Jun 2008
    Location
    Perth West Australia
    Posts
    61

    Default Re: GCompis package broken?

    Both packages I have installed, gcompris program and the english voices package come from Education. I have done as you suggest and changed the priority.
    So, does this mean that Packman have nothing to do with the software I installed and that the Education repo is responsible for it? I have poked around in here openSUSE Education - News
    and found a forum, but the last post in there was around mid June this year, so it doesn't look very active.
    Regards Peter.
    Desktop - OpenSuse 11.4 64 bit. LapTop - OpenSUSE 11.4, triple booting with Win7 and Splashtop OS
    Linux is cool! Everything else is a VM.

  7. #7
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    27,104
    Blog Entries
    15

    Default Re: GCompis package broken?

    Quote Originally Posted by pmccrackan
    Both packages I have installed, gcompris program and the english voices
    package come from Education. I have done as you suggest and changed the
    priority.
    So, does this mean that Packman have nothing to do with the software I
    installed and that the Education repo is responsible for it? I have
    poked around in here 'openSUSE Education - News'
    (http://www.opensuse-education.org/)
    and found a forum, but the last post in there was around mid June this
    year, so it doesn't look very active.
    Regards Peter.
    Hi
    Yes, if there are any updates, the Education one should provide them. I
    think both the Education one and Packman are just repackagers to
    'SuSE'fy the originals from http://gcompris.net/

    --
    Cheers Malcolm (Linux Counter #276890)
    openSUSE 11.0 x86 Kernel 2.6.25.11-0.1-default
    up 22:42, 1 user, load average: 0.19, 0.19, 0.08
    GPU GeForce 6600 TE/6200 TE - Driver Version: 173.14.12


  8. #8
    nliviudan NNTP User

    Default Re: GCompis package broken?

    I am also trying to get Gcompris to work. I have installed it but when I try to run it nothing happens. When I run from the terminal the error is:

    "gcompris: error while loading shared libraries: libgnet-2.0.so.0: cannot open shared object file: No such file or directory"

    I have libgnet package is installed so I don't know why I get the error.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •